pos={"A":12,"B":14,"C":14.5} # περιέχει τα ποσοστά προμήθειας
poliseis={} # περιέχει τις συνολικές πωλήσεις των πωλητών

while True:
    onoma=input("ονοματεπώνυμο     ")
    if onoma !="ΤΕΛΟΣ":
        while True:
            eidos=input("είδος A B C       ")
            if eidos=="A" or eidos =="B" or eidos=="C":
                break
        axia=float(input("αξία πώλησης "))
        pososto=pos.get(eidos)# pososto=pos[eidos]
        prom=axia*pososto/100
        print(onoma,prom)

        if onoma in poliseis:
            synpro=poliseis.get(onoma) # εξάγει την τρέχουσα συνολική προμήθεια του
                                        # συγκεκριμένου πωλητή
            synpro +=prom
            poliseis[onoma]=synpro
        else:
            poliseis[onoma]=prom
    else:
        break
for ep in poliseis:
    poso=poliseis[ep]
    print(ep,poso)
print("ΤΕΛΟΣ")